00-Intro

About StrongRecovery
Forward

StrongRecovery is an application that allows you to recover deleted or lost data (files, photos) and partitions (also logical drives) from pendrives, memory cards or Hard Disk Drives. It's quick and simple to use. StrongRecovery is compatible with all new versions of Microsoft Windows®: Windows 7, Vista, XP, 2003, 200 0.

PARTITION DETECTION AND RECOVERY:

  • Supported file systems: NTFS, FAT12, FAT16, FAT32, EXFAT, EXT2, EXT3, HPFS, REISERFS, LINUX SWAP
  • Detection of boot records via physical drive scan
  • Supported fixing of partition/drive header information (partition table, boot record, EPP).

FILE SYSTEMS (EXPLORING SUPPORT):

  • Supported file systems: NTFS, FAT12, FAT16, FAT32, EXFAT, RAW (binaries)
  • Supported recovery of NTFS encrypted files (EFS) and NTFS compressed files
  • Supported formats in RAW recovery engine: BMP, JPG, JP2, GIF, PNG, TGA, PCX, TIF, TXT (ASCII and UNICODE text data) , MP3, WAV, AVI, DAT, SWF, PDF, DOC, PPT, XLS, DOCX, PPTX, XLSX, ZIP, RAR, EXE, DLL, ICL, PSD, MKV, ISO, 7Z, ACE, 3GP, MPG/VOB, DDS, CHM, EML, DBX, PST.

EXPERT OPTIONS:

  • RAW File Size Calculation (size of RAW file is calculated through analyze of file header/structure)
  • RAW File Name Retrieve. StrongRecovery can retrieve name of file - for example from MP3 (tags reading)
  • FAT32 allocation fixer (this technique can localize first cluster of file entry, some entries in FAT32 are wiped after file delete operation, StrongRecovery can fix this problem)
  • Exploration of existing (not deleted) files is possible. If you need to dump damaged or protected file in system, you can do it with StrongRecovery Explorer
  • Possibility of data search (file data also)
  • Size fix option - fix invalid file size to dump valid portion of data.

EXPLORER FEATURES:

  • Thumbnail display of graphic files
  • Dynamic scan process (exploring of data is possible when scanning process is active)
  • Scan sessions (You can save the state of scan process and load it in another time)
  • Display files engine (shows files in explorer you're interested)
  • User friendly interface.

Please send any bug report, suggestion, question and comment to the author at following address: support@strongrecovery.com.

Copyright © 2012 - 2022 Maciej Drobinski
http://www.strongrecovery.com

Forward


01-Requirements

StrongRecovery System Requirements
  • Microsoft Windows® 2000/XP/2003/Vista/Windows 7
  • A hard disk with at least 2 MB free space
  • Available StrongRecovery source files:
    • Setup (requires installation to dedicated drive)
    • Portable (one exe file to download/copy and launch)
    • Zip (archive with installation files)


02-License

License

Your use, distribution, or installation of a software product indicates your acceptance of this license agreement. If you do not agree to any of the terms, then do not install, distribute or use the product.

A demo version may be only used for evaluation purposes. Purchasing personal license authorizes you to install one copy of the full version of the software on a single machine. Site license authorize you to install copies of the full version on machines in your firm. Commercial license gives You commercial privileges in data recovery.

This software, and all accompanying files, data, and materials, are distributed “as is” and with no warranties of any kind, whether express or implied, to the maximum extent permitted by applicable law.

You may not rent, lease, modify, translate, reverse-engineer, decompile or disassemble the software or create derivative works based on it without prior explicit permission. All rights of any kind in the software product which are not expressly granted in this license agreement are entirely and exclusively reserved to and by Maciej Drobinski.

Copyright © 2012 - 2022 Maciej Drobinski


11-SelectDriveWindow

Select drive window

Select drive window allows you to choose drive for explore and recovery data. You can also specify drive parameters (file system) to recover data from drive previously formatted in other file system (advanced drive settings window).

Option "Open->session" loads saved session during drive scan/exploring (StrongRecovery session may be saved in explorer window or in physical drive scan window).

BUTTON | DESCRIPTION
Refresh | Refresh list of logical drives
Settings | Advanced settings of selected drive
Open | Load image, backup, or session file
Next | Open selected drive from list- start recovery process and explorer
Exit | Close this window and application


112-PartitionFixWindow

Quick partition restore window

Quick partition restore window allows you to access to lost partitions/disks and fix of them. If this window shows, there are mismatch or lost information in boot record(s), partition table. Drives are probably invisible and inaccessible. You can fix this problem by clicking "Restore" button. To see what kind of structures need fix, click on "Details". It is recommended to make backup before restoring ("Make Backup" button). After fixing process, application creates backup automatically (in "auto-backups" folder). You may load backup and write previous data using select drive window ("Open" button).

BUTTON | DESCRIPTION
Make Backup | Make backup of data to fix
Restore | Process fix of damaged structures to restore partitions
Details | Details of fixing process
Close | Close window


113-FixDetailsWindow

Fix details window

Fix details window is used to specify repair tasks of structures in damaged partitions/drives or Master Boot Record. You may choose what kind of fix You need and accept this by clicking "Ok" .

BUTTON | DESCRIPTION
Ok | Accept list of changes
Cancel | Cancel (do not change anything)


12-DriveSettingsWindow

Advanced drive settings window

OPTION | DESCRIPTION
File system is untouched | StrongRecovery will process recovery in current file system
Previously was another file system | StrongRecovery will detect file system specified by user and process recovery using this system.
File system is damaged | StrongRecovery will process recovery without interference to file system - RAW Recovery.


121-PhysicalDriveScanWindow

Physical drive scan mode window

OPTION | DESCRIPTION
Partition search and recovery (DEEP DETECT) | Search overwritten or invisible partitions sector by sector
Partition search and recovery (FAST DETECT) | Fast partition search with integral data skipping
Scan for files (RAW) | Recover files by header detect from begin to end of disk
Reverse scan for files (RAW) | Recover files by header detect from end to begin of disk
Start position | Select start position of scan


122-PhysicalDriveScanWindow

Physical drive scan window (search for partitions)

OPTION | DESCRIPTION
Save | Save current state of scan (session file that may be loaded via select drive window)
Pause/Resume | Pause or resume scan
Next | Go to results (access partitions/drives)
Close | Close this window


123-PhysicalDriveScanResultsWindow

Physical drive scan results window

OPTION | DESCRIPTION
Back | Back to physical drive scan window (partition search)
Settings | Advanced settings of drive (advanced drive settings window)
Next | Open disk (explore)


13-ExploreWindow

Explorer window

StrongRecovery Explorer window is a classic file explore interface. It's simple to use (like in system). When you find files to recover just check them on list (tick checkboxes) and launch recover option (main menu -> File -> Recover... or from popup menu -> Recover...).

Main menu

OPTION/SUBMENU | SHORTCUT | DESCRIPTION
FILE | - | -
Recover | Alt+R | Start recovery of selected files
Save scan session | Ctrl+S | Save StrongRecovery session file
Close | Esc | Close explorer
EDIT | - | -
Select all | Ctrl+A | Select all files on list
Unselect all | Ctrl+Z | Unselect all files on list
Invert selection | Ctrl+I | Invert selection of selected files
VIEW | - | -
Explorer view | - | Change mode of file display (miniatures or details)
Folders tree | - | View folders tree
Display files | - | View display files window
COMMAND | - | -
Pause scan | - | Pause scan of free region
Break search | - | Break data search (if is active)
PREFERENCES | - | -
StrongRecovery folders | - | Set StrongRecovery folders (configure folder and temporary folder)
FAVORITES | - | -
Add current path to favorites | Ctrl+D | Add explored path to favorites list (this menu)
HELP | - | -
Contens | F1 | Launch helpfile
About StrongRecovery | - | View info about StrongRecovery

File list popup menu

OPTION | SHORTCUT | DESCRIPTION
Recover | Alt+R | Start recovery of selected files
Edit file size | Alt+X | Set virtualized file size for recovery
View | - | Change mode of file display (miniatures or details)
Refresh | F5 | Refresh files
Select | Space | Select focused file
Select all | Ctrl+A | Select all files
Unselect all | Ctrl+Z | Unselect all files
Invert selection | Ctrl+I | Invert selection of files
Properties | Alt+Enter | View file properties

Tree popup menu

OPTION | SHORTCUT | DESCRIPTION
Recover | Alt+R | Start recovery of selected files
Properties | Alt+Enter | View file (folder) properties


14-DisplayFilesWindow

Display files window

OPTION/GROUP | DESCRIPTION
Files | Display files
Folders | Display folders
FILES MASK | -
Any file | Display any file (all masks)
Graphic | Display graphic files (with predefined graphic masks)
Audio | Display audio files (with predefined audio masks)
Video | Display video files (with predefined video masks)
Office | Display office files (with predefined graphic masks)
System | Display executable and dll files
FILES TYPE | -
Recoverable (deleted) | Display recoverable files
Existing | Display existing (not deleted) files
Overwritten, undetected | Display overwritten or undetected files
Probably overwritten | Display probably overwritten files
NTFS Encrypted (EFS) | Display NTFS Encrypted files
NTFS Compressed | Display NTFS compressed files
NTFS Special | Display NTFS special files
- | -
Auto refresh | Refresh while display settings changing


15-AdvancedSearchWindow

Advanced search window

SECTION | DESCRIPTION
File mask(s) | File masks for search
Search data | Set data of file to search for and type (ASCII/UNICODE/HEX)
File size | Set file size properties (size may be equal/above/below to specified value). In equal mode you can set tolerance in percent.
Attributes | Set file attributes to search for
Date | Set file date to search for


16-FoldersWindow

Configuration folders window

StrongRecovery requires some additional folders to store configuration settings and temporary resources (files dumped for opening via Windows shell). This model protects against overwriting situation (on drive were data is to be recovered). Anyway your current system disk drive is strongly exposed on miscellaneous overwrite situations (paging, creating new files, creating temporary files, creating files by your web browser). All of these situations may overwrite your lost data. You should shutdown your current system in that case and use another system or computer for recovery your lost data.


21-DemoVersion

Demo Version

Program StrongRecovery is distributed as DEMO version, that means it allows to use only part of its functions. All functions are available after buying full version.

Limitations of DEMO version:

  • Saving of files is disabled
  • Opening of files is disabled
  • Quick partition restore support is disabled


22-Order

Order StrongRecovery software

Why should You buy StrongRecovery?
  • Users that bought full version of StrongRecovery are entitled to receive free updates.
  • StrongRecovery is a new software with modern features
  • Data recovery is quick and simple
  • You can grow up your business with faster data recovery software
  • You may get a support in special situation (special file format recovery)
  • Your data will be more safe in future

StrongRecovery is available in many types. Sale is made using secure connection, check offer:


23-Updates

StrongRecovery Updates
Back

User that bought full version of StrongRecovery are entitled to receive free updates, that means, that user that bought version 1.xx will be receiving new version marked 1.11, 1.97, 2.xx., x.xx.

Back


Credits

Bartosz Wojcik - beta testing, support and program protection (http://www.pelock.com).


F.A.Q

F.A.Q (Frequently Asked Questions)

There is no questions at this moment. Any questions? Mail to support@strongrecovery.com.